Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class ConfigVariable

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.core.ReferencableStructure
              org.eclipse.birt.report.model.api.elements.structures.ConfigVariable

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet, org.eclipse.birt.report.model.core.IReferencable

    public class ConfigVariable

extends org.eclipse.birt.report.model.core.ReferencableStructure

This class represents a configuration variable in the report's config variable list. Reports frequently have deployment-specific dependencies. For example, developers often use a test database during development, but target a production database once the report is deployed. Or, an OEM may use a different company name in report titles for each of their customers.A configuration variable is simply a name/value pair very similar to an environment variable on Unix. Indeed, configuration variables include environment variables, along with other BIRT-specific values.

This is a managed object, meaning that all changes should be made though the command layer so that they can be undone and redone. Each config variable has the following properties:

Name
  a config variable has a unique and required name, so the report design can use the variable name to identify a config variable.
Value
  value of the config variable.

Field Summary
`static java.lang.String` | `CONFIG_VAR_STRUCT` Name of this structure.
`static java.lang.String` | `NAME_MEMBER` Name of the config variable name member.
`static java.lang.String` | `VALUE_MEMBER` Name of the config variable value member.

Fields inherited from class org.eclipse.birt.report.model.core.ReferencableStructure
`clients, clientStructures, LIB_REFERENCE_MEMBER, libReference`

Constructor Summary
`ConfigVariable()` Constructs the config var with a required name.

Method Summary
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String memberName)`
`java.lang.String` | `getName()` Returns the config variable name.
`java.lang.String` | `getReferencableProperty()`
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`java.lang.String` | `getValue()` Returns the config variable value.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`boolean` | `isReferencableProperty(java.lang.String memberName)`
`protected void` | `setIntrinsicProperty(java.lang.String memberName, java.lang.Object value)`
`void` | `setName(java.lang.String name)` Sets the config variable name.
`void` | `setValue(java.lang.String value)` Sets the config vatiable value.
`java.lang.String` | `toString()`
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`

Methods inherited from class org.eclipse.birt.report.model.core.ReferencableStructure
`addClient, addClientStructure, broadcast, clone, dropClient, dropClientStructure, getClientList, getClientStructures, getLocalProperty, getProperty, hasReferences, isReferencable, updateReference`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getStringProperty, isDesignTime, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_VAR_STRUCT

    public static final java.lang.String CONFIG_VAR_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### NAME_MEMBER

    public static final java.lang.String NAME_MEMBER

  Name of the config variable name member.

  See Also:
    Constant Field Values

### VALUE_MEMBER

    public static final java.lang.String VALUE_MEMBER

  Name of the config variable value member.

  See Also:
    Constant Field Values

Constructor Detail

### ConfigVariable

    public ConfigVariable()

  Constructs the config var with a required name.

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String memberName)

  Overrides:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.ReferencableStructure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String memberName,
                                        java.lang.Object value)

  Overrides:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.ReferencableStructure`

### getName

    public java.lang.String getName()

  Returns the config variable name.

  Returns:
    the config variable name.

### setName

    public void setName(java.lang.String name)

  Sets the config variable name.

  Parameters:
    `name` - the name to set

### getValue

    public java.lang.String getValue()

  Returns the config variable value.

  Returns:
    the config variable value.

### setValue

    public void setValue(java.lang.String value)

  Sets the config vatiable value.

  Parameters:
    `value` - the config value to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.ReferencableStructure`

### isReferencableProperty

    public boolean isReferencableProperty(java.lang.String memberName)

  Specified by:
    `isReferencableProperty` in class `org.eclipse.birt.report.model.core.ReferencableStructure`

### getReferencableProperty

    public java.lang.String getReferencableProperty()

  Overrides:
    `getReferencableProperty` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.